import java.io.*;
import java.awt.*;
import java.awt.event.*;
import javax.microedition.midlet.*;

public class ImageTest extends MIDlet implements ActionListener {
    
    Frame frame;
    int clicks = 0;
    ImageButton button;
    Image image;


    public ImageTest() {
        frame = new Frame("ImageButton Test");
        image = Toolkit.getDefaultToolkit ().createImage ("J2MEAppProg.png");

        if (image == null)
          throw new RuntimeException ("Error loading image...");

        button = new ImageButton (image, "logo");
        button.addActionListener(this);
        
        frame.add(button, BorderLayout.CENTER);
        frame.pack();
    }
    
    
    public void actionPerformed(ActionEvent ae) {
        frame.setTitle ("clicks: " + (++clicks));
        frame.repaint();
    }
    
    
    public void startApp() {
        frame.show();
    }

    public void pauseApp() {
    }

    public void destroyApp(boolean unconditional) {
        notifyDestroyed();
    }
}
