import java.io.*;
import java.util.*;
import javax.microedition.io.*;

public class HttpServer extends Thread {
    StreamConnectionNotifier serverConnection;
    int port;
    
    public HttpServer (int port) throws IOException {
        this.port =port;
        serverConnection = (StreamConnectionNotifier) Connector.open
                               ("serversocket://:"+port);
    }

    public void run () {
        try {
            while (true) {
                System.out.println ("Waiting for connection on port" + port);
                StreamConnection clientConnection =
                    serverConnection.acceptAndOpen ();

                System.out.println ("Connection to established.");
                sendAnswer (clientConnection);
            }
        }
        catch (IOException e){
            System.out.println (e.toString ());
        }
    }

    public void sendAnswer (StreamConnection s) throws IOException {
        OutputStream o = s.openOutputStream();
        Date date = new Date (System.currentTimeMillis());
        o.write (("HTTP/1.1 200 OK \r \n \r \n"
                  +"<HTML><H1>This is a GCF based HTTP Server.</H1>"
                  +date.toString ()+"\r \n \r \n ").getBytes ());
        o.close ();
        s.close ();
        System.out.println ("Connection closed.");
    }
}