import java.awt.*;
import java.awt.event.*;
import java.util.Random;
import javax.microedition.midlet.*;


public class GhostWriter extends MIDlet implements ActionListener {

    List list = new List ();
    Frame frame = new Frame ("The Monkeys type....");
    Button exitButton = new Button ("exit");
    Button generateButton = new Button ("generate");
    Random random = new Random ();

    
    public GhostWriter () {

        Panel buttonPanel = new Panel (new FlowLayout ());

        buttonPanel.add (exitButton);
        buttonPanel.add (generateButton);

        exitButton.addActionListener (this);
        generateButton.addActionListener (this);

        frame.add (list, BorderLayout.CENTER);
        frame.add (buttonPanel, BorderLayout.SOUTH);
        frame.pack ();

        frame.addWindowListener (new WindowAdapter () {
                public void windowClosing (WindowEvent ev) {
                    notifyDestroyed ();
                }
            });
    }

    
    public void startApp () {
        frame.show ();
    }

    
    public void actionPerformed (ActionEvent ev) {

        if (ev.getSource () == exitButton) 
            notifyDestroyed ();
        else if (ev.getSource () == generateButton) 
            generateNewSentence ();
    }


    public void generateNewSentence () {
        StringBuffer buf = new StringBuffer ();

        for (int i = 0; i < 60; i++) {
            char c = (char) (((int) 'a') + (random.nextInt () & 31));
            if (c > 'z') c = ' ';
            buf.append (c);
        }

        list.add (buf.toString ());
    }


    public void pauseApp() {
    }

    public void destroyApp (boolean forced) {
    }

}
